// use localStorage to store the authority info, which might be sent from server in actual project.

export function getAuthority(str) {
  // return localStorage.getItem('antd-pro-authority') || ['admin', 'user'];
  const authorityString =
    typeof str === 'undefined' ? localStorage.getItem('antd-pro-authority') : str;
  // authorityString could be admin, "admin", ["admin"]
  let authority;
  try {
    authority = JSON.parse(authorityString);
  } catch (e) {
    authority = authorityString;
  }
  if (typeof authority === 'string') {
    return [authority];
  }
  return authority || ['admin'];
}

export function setAuthority(authority) {
  const proAuthority = typeof authority === 'string' ? [authority] : authority;
  return localStorage.setItem('antd-pro-authority', JSON.stringify(proAuthority));
}

export function setActiveMenus(menuTree) {
  return localStorage.setItem('antd-pro-menuTree', JSON.stringify(menuTree));
}

export function getActiveMenus(){
  let info = localStorage.getItem('antd-pro-menuTree');
  try {
    info = JSON.parse(info);
  } catch(e) {
    info = [];
  }
  if(!info){
    info = [];
  }
  return info;
}

export function setIconConfig(config) {
  return localStorage.setItem('icon-appIcon-config', JSON.stringify(config));
}

export function getIconConfig(){
  return JSON.parse(localStorage.getItem('icon-appIcon-config'));
}

export function setToken(token) {

  return localStorage.setItem('antd-pro-token', token);
}
export function getToken() {

  return localStorage.getItem('antd-pro-token');
}


export function setSysConfig(data) {
  return localStorage.setItem('xg-web-sysconfig', JSON.stringify(data));
}

export function getSysConfig() {
  const sysConfig = localStorage.getItem('xg-web-sysconfig');
  if (sysConfig) {
    return JSON.parse(sysConfig);
  }
  return {};
}


export function setFetchUrl(data) {

  return localStorage.setItem('fetch-url-data', data);
}
export function getFetchUrl() {

  return localStorage.getItem('fetch-url-data');
}

export function setAllArea(data) {

  return localStorage.setItem('antd-pro-area-all', data);
}

export function getAllArea() {
  return localStorage.getItem('antd-pro-area-all');
}

export function setType(type) {

  return localStorage.setItem('antd-pro-type', type);
}
export function getType() {

  return localStorage.getItem('antd-pro-type')||"";
}


export function setSignUperToken(token) {

  return localStorage.setItem('antd-pro-signUperToken', token);
}
export function getSignUperToken() {

  return localStorage.getItem('antd-pro-signUperToken');
}

