/*
* 下载文件
* @params { String, String} [下载地址， 下载文件名]
* */
export function download(url, filename){
  return new Promise(function(resolves) {
    getBlob(url).then(function(blob) {
      saveAs(blob, filename);
      resolves(`success`)
    });
    function getBlob(url) {
      return new Promise(function(resolve) {
        const xhr = new XMLHttpRequest();
        xhr.open('GET', url, true);
        xhr.responseType = 'blob';
        xhr.onload = function() {
          if(xhr.status === 200) {resolve(xhr.response)}
        };
        xhr.send();
      });
    }
    function saveAs(blob, filename) {
      if(window.navigator.msSaveOrOpenBlob) {
        navigator.msSaveBlob(blob, filename);
      } else {
        const link = document.createElement('a');
        const body = document.querySelector('body');
        link.href = window.URL.createObjectURL(blob);
        link.download = filename;
        link.style.display = 'none';
        body.appendChild(link);
        link.click();
        body.removeChild(link);
        window.URL.revokeObjectURL(link.href);
      }
    }
  })
}